cURL
curl --request GET \
--url https://api.maesn.dev/accounting/v2/dimensionsimport requests
url = "https://api.maesn.dev/accounting/v2/dimensions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maesn.dev/accounting/v2/dimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"description": "Cost center",
"dimension": "CostCenter"
}
]
}Get dimensions
GET
/
accounting
/
v2
/
dimensions
cURL
This endpoint has been deprecated. Please use the
GET /dimensions endpoint, which is identical — the two share a single implementation, so migrating requires no change beyond the path.Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.boolean
string
string

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.string
string

Twinfield
Twinfield
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.string
string
Last modified on September 14, 2026
Was this page helpful?